<?php

namespace Lc\SovBundle\Twig;

use Lc\SovBundle\Repository\Reminder\ReminderStore;
use Symfony\Component\Security\Core\Security;
use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class StoreTwigExtension extends AbstractExtension
{
    protected Security $security;
    protected ReminderStore $reminderStore;

    public function __construct(
            Security $security,
            ReminderStore $reminderStore
    ) {
        $this->security = $security;
        $this->reminderStore = $reminderStore;
    }

    public function getFunctions()
    {
        return [
                new TwigFunction('sov_get_reminders', [$this, 'getReminders']),
        ];
    }

    public function getFilters()
    {
        return [];
    }

    public function getReminders()
    {
        return $this->reminderStore->getByUser($this->security->getUser());
    }

}
